| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxRichTextFormattingDialogFactory Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextformatdlg.h>`

Inheritance diagram for wxRichTextFormattingDialogFactory:
[legend]

## Detailed Description

This class provides pages for wxRichTextFormattingDialog, and allows other customization of the dialog.

A default instance of this class is provided automatically. If you wish to change the behaviour of the formatting dialog (for example add or replace a page), you may derive from this class, override one or more functions, and call the static function wxRichTextFormattingDialog::SetFormattingDialogFactory.

##

Library: wxRichText
Category: Rich Text

## Public Member Functions

| wxRichTextFormattingDialogFactory ()
| Constructor. More...
virtual | ~wxRichTextFormattingDialogFactory ()
| Destructor. More...
virtual bool | CreateButtons (wxRichTextFormattingDialog *dialog)
| Creates the main dialog buttons. More...
virtual wxPanel * | CreatePage (int page, wxString &title, wxRichTextFormattingDialog *dialog)
| Creates a page, given a page identifier. More...
virtual bool | CreatePages (long pages, wxRichTextFormattingDialog *dialog)
| Creates all pages under the dialog's book control, also calling AddPage(). More...
virtual int | GetPageId (int i) const
| Enumerate all available page identifiers. More...
virtual int | GetPageIdCount () const
| Gets the number of available page identifiers. More...
virtual int | GetPageImage (int id) const
| Gets the image index for the given page identifier. More...
virtual bool | SetSheetStyle (wxRichTextFormattingDialog *dialog)
| Set the property sheet style, called at the start of wxRichTextFormattingDialog::Create. More...
virtual bool | ShowHelp (int page, wxRichTextFormattingDialog *dialog)
| Invokes help for the dialog. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

wxRichTextFormattingDialogFactory::wxRichTextFormattingDialogFactory | ( |  | ) |

Constructor.

virtual wxRichTextFormattingDialogFactory::~wxRichTextFormattingDialogFactory | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

virtual bool wxRichTextFormattingDialogFactory::CreateButtons | ( | wxRichTextFormattingDialog * | dialog | ) |

virtual

Creates the main dialog buttons.

virtual wxPanel* wxRichTextFormattingDialogFactory::CreatePage | ( | int | page,
|  | wxString & | title,
|  | wxRichTextFormattingDialog * | dialog
| ) |  |

virtual

Creates a page, given a page identifier.

virtual bool wxRichTextFormattingDialogFactory::CreatePages | ( | long | pages,
|  | wxRichTextFormattingDialog * | dialog
| ) |  |

virtual

Creates all pages under the dialog's book control, also calling AddPage().

virtual int wxRichTextFormattingDialogFactory::GetPageId | ( | int | i | ) | const

virtual

Enumerate all available page identifiers.

virtual int wxRichTextFormattingDialogFactory::GetPageIdCount | ( |  | ) | const

virtual

Gets the number of available page identifiers.

virtual int wxRichTextFormattingDialogFactory::GetPageImage | ( | int | id | ) | const

virtual

Gets the image index for the given page identifier.

virtual bool wxRichTextFormattingDialogFactory::SetSheetStyle | ( | wxRichTextFormattingDialog * | dialog | ) |

virtual

Set the property sheet style, called at the start of wxRichTextFormattingDialog::Create.

virtual bool wxRichTextFormattingDialogFactory::ShowHelp | ( | int | page,
|  | wxRichTextFormattingDialog * | dialog
| ) |  |

virtual

Invokes help for the dialog.